std::bad_function_call Class Reference
Diagnostics » Exceptions
Inheritance diagram for std::bad_function_call:
[legend]

## Public Member Functions

const char * | what () const noexcept

## Detailed Description

Exception class thrown when class template function's operator() is called with an empty target.

Definition at line 56 of file std_function.h.

## Member Function Documentation

## what()

const char* std::bad_function_call::what | ( |  | ) | const

virtual noexcept

Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- std_function.h